Syncfusion AI Assistant

How can I help you?

Overview of Angular PDF Viewer Component

13 Feb 20263 minutes to read

The Angular PDF Viewer component is a lightweight, modular viewer for displaying and printing PDF files. It provides core interactions such as zooming, scrolling, text search, text selection, and text copy. Thumbnail, bookmark, hyperlink and table-of-contents support enable efficient navigation within PDF files.

Setup

Create an Angular application

Use the Angular CLI to set up an Angular application. To install the Angular CLI, run:

npm install -g @angular/cli

Create a new Angular application with the Angular CLI:

ng new my-app
cd my-app

Adding the Syncfusion PDF Viewer package

All Syncfusion Angular packages are published on the npm registry. To add the Angular PDF Viewer package, run:

ng add @syncfusion/ej2-angular-pdfviewer

This command performs the following configuration in the Angular app:

  • Adds the @syncfusion/ej2-angular-pdfviewer package and its peer dependencies to package.json.
  • Imports the PdfViewerModule into the application module (app.module.ts).
  • Registers the Syncfusion UI default theme (Material) in angular.json.

After these changes, the Syncfusion Angular PDF Viewer module is available for use in the application.

Adding CSS references for PDF Viewer

Add the required CSS references for the PDF Viewer to src/styles.css from the ../node_modules/@syncfusion package folder.

@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-notifications/styles/material.css';
@import "../node_modules/@syncfusion/ej2-angular-pdfviewer/styles/material.css";

Add PDF Viewer component

In src/app/app.ts`, use selector in the template attribute of the @Component directive to render the Syncfusion Angular PDF Viewer component.

import { Component, OnInit } from '@angular/core';
import { LinkAnnotationService, BookmarkViewService, MagnificationService,
         ThumbnailViewService, ToolbarService, NavigationService,
         AnnotationService, TextSearchService, TextSelectionService,
         PrintService, FormDesignerService, FormFieldsService
       } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  // specifies the template string for the PDF Viewer component
  template: `<div class="content-wrapper">
                <ejs-pdfviewer id="pdfViewer"
                    [documentPath]='document'
                    [resourceUrl]='resource'
                    style="height:640px;display:block">
                </ejs-pdfviewer>
             </div>`,
  providers: [ LinkAnnotationService, BookmarkViewService, MagnificationService,
               ThumbnailViewService, ToolbarService, NavigationService,
               TextSearchService, TextSelectionService, PrintService,
               AnnotationService, FormDesignerService, FormFieldsService]
})
export class AppComponent implements OnInit {
  public document: string = 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';
  public resource: string = "https://cdn.syncfusion.com/ej2/23.1.43/dist/ej2-pdfviewer-lib";
  ngOnInit(): void {
  }
}

Key Features

  • View PDF Document - Open and display both normal and protected PDF files.
  • Annotations - Annotate documents with text markup, shapes, stamps, ink, and sticky notes. Form filling and form designing are supported.
  • Form Fields - Create and fill form fields; supports form designing features.
  • Signature - Support for hand-written and digital signatures.
  • Toolbar - Built-in and customizable toolbars for common PDF Viewer actions.
  • Navigation - Navigate using bookmarks, thumbnails, hyperlinks, and the table of contents.
  • Magnification - Fit-to-page, fit-to-width, and automatic fit options.
  • Search - Search text across the PDF document.
  • Core Interactions - Scrolling, zooming, panning, selection, and page navigation.
  • Print - Print the entire document or specific pages from the browser.
  • Globalization - Built-in support for localizing the UI.

Supported Web platforms

Syncfusion AI Assistant

How can I help you?

Overview of React PDF Viewer component

27 Feb 20262 minutes to read

The React PDF Viewer component is a lightweight, modular control for viewing and printing PDF files. It supports core interactions such as zooming, scrolling, text searching, text selection, and text copying. Thumbnails, bookmarks, hyperlinks, and table-of-contents support enable easy navigation inside and outside PDF files.

Setup

Create a React Application

You can use create-react-app to setup applications. To create React app use the following command.

create-react-app quickstart
cd quickstart
npm install

Adding Syncfusion PDF Viewer package

All Syncfusion react packages are published in the npmjs.com registry. To install the react PDF Viewer package, use the following command.

npm install @syncfusion/ej2-react-pdfviewer --save

Adding CSS references for PDF Viewer

Add CSS references needed for a PDF Viewer in src/index.css from the ../node_modules/@syncfusion package folder.

   @import '../node_modules/@syncfusion/ej2-base/styles/material.css';  
   @import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
   @import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';  
   @import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';  
   @import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
   @import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
   @import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
   @import "../node_modules/@syncfusion/ej2-pdfviewer/styles/material.css";

Add PDF Viewer component

In the src/index.js file, use the following code snippet to render the Syncfusion React PDF Viewer control and import index.css to apply styles to the PDF Viewer

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView,
         ThumbnailView, Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject} from '@syncfusion/ej2-react-pdfviewer';

function App() {
    return (<div>
    <div className='control-section'>
    {/* Render the PDF Viewer */}
      <PdfViewerComponent
        id="container"
        documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
        resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
        style=height>
         
         <Inject services={[ Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
                             ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner ]}/>

      </PdfViewerComponent>
    </div>
  </div>);
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

Key Features

View PDF Document - Open and display both the normal and the protected PDF files with AES and RC4 encryption.
Annotations - Annotate with text markup, shapes, stamps, ink, and sticky notes.Form filling and form designing can be done.
Form Fields - Form filling and form designing can be done.
Signature - Hand-written and digital signatures are allowed.
Toolbar - Built-in-toolbar and custom toolbars to perform user interaction of PDF Viewer functionalities.
Navigation - Easy navigation with the help of bookmarks, thumbnails, hyperlinks, and table of contents.
Magnification - Fit to page, fit to width, and automatic (fits to the visible area).
Search - Search a text easily across the PDF document.
Core Interactions - Allows scrolling, zooming, panning, selection, and page navigation.
Print - Print the entire document or a specific page directly from the browser.
Globalization - Provides inherent support to localize the UI.

Supported web platforms

Syncfusion AI Assistant

How can I help you?

Overview of Vue PDF Viewer component

28 Feb 20263 minutes to read

The Vue PDF Viewer is a lightweight and modular component for viewing, annotating, and printing PDF files in Vue applications. It provides an optimal viewing experience with core interactions such as zooming, scrolling, text searching, text selection, and text copying. Thumbnail, bookmark, hyperlink, and table of contents navigation support enables easy exploration within and across PDF documents.

Setup

Create a Vue Application

You can use Vue CLI to setup your Vue 2 applications.To install Vue CLI use the following commands.

npm install -g @vue/cli
npm install -g @vue/cli-init
vue init webpack-simple quickstart
cd quickstart
npm install

Adding Syncfusion PDF Viewer package

All Syncfusion Vue packages are published in npmjs.com registry. To install Vue PDF Viewer package, use the following command.

npm install @syncfusion/ej2-vue-pdfviewer --save

Registering PDF Viewer component

You can register the PDF Viewer component in your application by using the Vue.use(). Refer to the code example given below.

import { PdfViewerPlugin } from '@syncfusion/ej2-vue-pdfviewer';

Vue.use(PdfViewerPlugin);
Registering PdfViewerPlugin in Vue, will register the PDF Viewer component along with its required child directives globally.

Adding CSS references for PDF Viewer

Add CSS references needed for PDF Viewer in style section of the App.vue file from ../node_modules/@syncfusion package folder.

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-notifications/styles/material.css';  
@import "../node_modules/@syncfusion/ej2-vue-pdfviewer/styles/material.css";
</style>

Add PDF Viewer component

Add the Vue PDF Viewer by using ej-pdfviewer selector in template section of the App.vue file.

<template>
  <div id="app">
    <ejs-pdfviewer 
      id="pdfViewer" 
      :documentPath="documentPath"
      :resourceUrl="resourceUrl"> 
    </ejs-pdfviewer>
  </div>
</template>

<script>
import Vue from 'vue';
import { PdfViewerPlugin, Toolbar, Magnification, Navigation, LinkAnnotation, 
         BookmarkView, ThumbnailView, Print, TextSelection, TextSearch, 
         Annotation, FormDesigner, FormFields } from '@syncfusion/ej2-vue-pdfviewer';
Vue.use(PdfViewerPlugin);
export default {
  name: 'app',
  data () {
    return {
      documentPath:"https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf",
      resourceUrl:"https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib",
    };
  },

  provide: {
    PdfViewer: [ Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView,
                 Print, TextSelection, TextSearch, Annotation, FormFields, FormDesigner ]
  }
}
</script>
For Vue 3 applications, refer to the [Getting Started with Vue 3](https://help.syncfusion.com/document-processing/pdf/pdf-viewer/vue/getting-started-application) guide.

Key Features

  • View PDF Documents - Open and display normal and protected PDF files with AES and RC4 encryption support.
  • Annotations - Add annotations using text markup, shapes, stamps, ink, and sticky notes.
  • Form Fields - Fill and design forms directly within PDF documents.
  • Digital Signatures - Support for hand-written and digital signatures.
  • Toolbar - Built-in and customizable toolbars for intuitive user interactions.
  • Navigation - Navigate with bookmarks, thumbnails, hyperlinks, and table of contents.
  • Magnification - Multiple zoom options including fit-to-page, fit-to-width, and automatic scaling.
  • Text Search - Find and highlight text across the entire PDF document.
  • Core Interactions - Support for scrolling, zooming, panning, text selection, and page navigation.
  • Printing - Print entire documents or specific pages directly from the browser.
  • Localization - Multi-language UI support for global applications.

Supported Web platforms